<?php

namespace Drupal\Tests\cryptolog\Functional;

use Drupal\Core\Extension\MissingDependencyException;
use PHPUnit\Framework\SkippedTestError;

/**
 * Tests Cryptolog with the Memcache contributed module.
 *
 * @group cryptolog
 * @requires module memcache
 */
class CryptologMemcacheTest extends CryptologTest {

  /**
   * Additional module to enable.
   */
  const MODULE = 'memcache';

  /**
   * {@inheritdoc}
   */
  protected $eventId = 2;

  /**
   * {@inheritdoc}
   */
  protected function checkRequirements() {
    parent::checkRequirements();
    if (!extension_loaded('memcache') && !extension_loaded('memcached')) {
      throw new SkippedTestError('Required PHP extension: memcache or memcached');
    }
  }

  /**
   * {@inheritdoc}
   */
  protected function setUp() {
    parent::setUp();
    try {
      $this->container->get('module_installer')->install([static::MODULE]);
    }
    catch (MissingDependencyException $e) {
      throw new SkippedTestError('Required Drupal module: ' . static::MODULE);
    }
  }

}
